<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@DBCB=FF</action>
      <action>maincpu.pb@DBCA=00</action> <!-- Don't show 'Hurry Up' -->
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@DBB0=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo">
    <script state="run">
      <action>maincpu.pb@D229=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@4883</action>
      <action>temp1 =maincpu.mb@494C</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4883=C9</action>
      <action>maincpu.mb@494C=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4883=temp0 </action>
      <action>maincpu.mb@494C=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Select Weapon">
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x03">Bazooka</item>
      <item value="0x06">Flamethrower</item>
      <item value="0x04">Grenades</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@D201=param</action>
    </script>
  </cheat>

  <cheat desc="Bomber Never Appears">
    <script state="run">
      <action>maincpu.pb@DBFB=FF</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Level"> <!-- After Level 3 it goes 8,9,A,B,10,11,12,13,18,19,1A,1B,20,21,22,23,28,29,2A,2B and so on -->
    <parameter min="1" max="4" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@DBB1==00)">maincpu.pb@DBB1=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="136" step="1"/>
    <script state="change">
      <action>maincpu.pb@DA80=param</action>
      <action>maincpu.pw@DB2E=DA80</action>
      <action>maincpu.pw@DB2C=DA81</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
